Skip to content
Permalink
Browse files

Upgrade AndroidX libraries + MDC

Add an explicit dependency on Arch Core 2.1.0 stable since it seems like the alpha versions of libraries do not yet depend on 2.1.0 stable.
  • Loading branch information...
ianhanniballake committed Sep 8, 2019
1 parent 4e6b19d commit 6991827dc842ac808cac2c82d5f5c4ebf20dabff
Showing with 11 additions and 9 deletions.
  1. +10 −9 build.gradle
  2. +1 −0 extensions/build.gradle
@@ -19,29 +19,30 @@ buildscript {
compileSdkVersion = 29
targetSdkVersion = 29

appCompatVersion = '1.1.0-rc01'
appCompatVersion = '1.1.0'
archCoreVersion = '2.1.0'
browserVersion = '1.0.0'
constraintLayoutVersion = '2.0.0-beta2'
coreVersion = '1.2.0-alpha03'
coreVersion = '1.2.0-alpha04'
coroutinesVersion = '1.3.0'
crashlyticsVersion = '2.10.1'
drawerLayoutVersion = '1.1.0-alpha03'
exifInterfaceVersion = '1.1.0-beta01'
firebaseAnalyticsVersion = '17.2.0'
firebasePerfVersion = '19.0.0'
fragmentVersion = '1.2.0-alpha02'
fragmentVersion = '1.2.0-alpha03'
glideVersion = '4.9.0'
kotlinVersion = '1.3.50'
lifecycleVersion = '2.2.0-alpha03'
materialVersion = '1.1.0-alpha09'
lifecycleVersion = '2.2.0-alpha04'
materialVersion = '1.1.0-alpha10'
multidexVersion = '2.0.1'
navigationVersion = '2.2.0-alpha01'
navigationVersion = '2.2.0-alpha02'
okhttpVersion = '3.12.1'
pagingVersion = '2.1.0'
playServicesWearableVersion = '17.0.0'
preferenceVersion = '1.1.0-rc01'
recyclerViewVersion = '1.1.0-beta03'
roomVersion = '2.2.0-beta01'
preferenceVersion = '1.1.0'
recyclerViewVersion = '1.1.0-beta04'
roomVersion = '2.2.0-rc01'
wearableVersion = '2.5.0'
wearVersion = '1.0.0'
workManagerVersion = '2.3.0-alpha01'
@@ -21,6 +21,7 @@ dependencies {
implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlinVersion"
api "org.jetbrains.kotlinx:kotlinx-coroutines-core:$coroutinesVersion"
api "org.jetbrains.kotlinx:kotlinx-coroutines-android:$coroutinesVersion"
api "androidx.arch.core:core-runtime:$archCoreVersion"
implementation "androidx.lifecycle:lifecycle-common-java8:$lifecycleVersion"
api "androidx.lifecycle:lifecycle-livedata-ktx:$lifecycleVersion"
}

0 comments on commit 6991827

Please sign in to comment.
You can’t perform that action at this time.